﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Threading;

namespace TESS_5600
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            General.InitializeSystem();
            //General.InitializeApplication();
                        
            string strApplicationName = General.AssemblyProduct;
            string strApplicationVersion = General.AssemblyVersion;
            bool bolValue = false;
            Mutex myMutex = new Mutex(true, strApplicationName + "_" + strApplicationVersion, out bolValue);
            if (!bolValue)
            {
                string strCaption = string.Empty;
                string strText = string.Empty;
                if (General.g_Language.ToUpper() == "Chinese".ToUpper())
                {
                    strCaption = "错误";
                    strText = "应用程序：" + strApplicationName + "，版本：" + strApplicationVersion + " 正在运行！";
                }
                else
                {
                    strCaption = "Error";
                    strText = "Application: " + strApplicationName + ", Version: " + strApplicationVersion + " is running!";
                }
                General.g_Common.SetMessageBoxShow(strText, strCaption, MessageBoxIcon.Error);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new frmTest());
        }
    }
}
